@import '../../variables.scss';

.store-card {
  width: 7.94rem;
  min-height: 9rem;
  color: $bia-white;
  box-shadow: $box-shadow;
  white-space: normal;
  border: none;
  background-color: $bia-purple;

  &__logo {
    width: 3.75rem;
    height: 3.75rem;
    border-radius: 50%;
    border: 0.19rem solid $bia-white;
    margin: 0.75rem;
    font-size: 1.5rem;
  }

  &__name {
    font-size: $text-md;
    font-family: 'Roboto';
    font-weight: 500;
    line-height: $text-lg;
  }

  &__subtitle {
    font-size: $text-sm;
    font-family: 'Roboto';
    line-height: $text-lg;
  }
}

@media (min-width: $lg) {
  .store-card {
    width: 30rem;
    border-radius: 0.25rem;

    &__logo {
      width: 6.12rem;
      height: 6.12rem;
      border-width: 1px;
      font-size: 3rem;
    }

    &__name {
      font-weight: 700;
      font-size: 1.25rem;
      line-height: $text-xxl;
    }

    &__extra {
      width: 14rem;
    }

    &__product {
      width: 6rem;
      height: 6rem;
      margin-left: 0.87rem;
      margin-bottom: 0.87rem;
      border-radius: 0.25rem;
      border: 1px solid $bia-white;
      font-size: 2rem;
    }

    &__new-products {
      font-family: 'Roboto';
      font-weight: 500;
      font-size: $text-sm;
      line-height: $text-lg;
      background-color: rgba($bia-black, 0.24);
      border-radius: 0.25rem;
      max-width: 13rem;
    }

    &__reviews {
      font-size: $text-xs;
      line-height: $text-lg;
    }

    .ranking-stars {
      color: $bia-white;
    }
  }
}

@media (min-width: $xl) {
  .store-card {
    width: 37rem;

    &__logo {
      width: 8.12rem;
      height: 8.12rem;
    }

    &__extra {
      width: 17rem;
    }

    &__product {
      width: 7.5rem;
      height: 7.5rem;
    }

    &__new-products {
      max-width: 16rem;
      font-size: $text-md;
    }
  }
}
